Package com.netrics.likeit

## Class NetricsObjectNameCollection

- java.lang.Object
- - com.netrics.likeit.NetricsObjectNameCollection

-     public class NetricsObjectNameCollection
      extends java.lang.Object

  Tracks a collection of names of Patterns objects (tables, thesauri, models, and character maps

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NetricsObjectNameCollection()` | Constructs an empty collection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(NetricsObjectType type, java.lang.String... names)` | Add specific Patterns object names to the collection.
    `void` | `addAll()` | Indicates the collection includes the names of all Patterns objects of all Patterns types.
    `void` | `addAll​(NetricsObjectType type)` | Indicates the collection includes the names of all Patterns objects of the given Patterns type.
    `java.util.Set<java.lang.String>` | `getObjectNames​(NetricsObjectType type)` | Retrieve the object names of a particular Patterns object type.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NetricsObjectNameCollection

          public NetricsObjectNameCollection()

      Constructs an empty collection.

  - ### Method Detail

    - #### addAll

          public void addAll()

      Indicates the collection includes the names of all Patterns objects of all Patterns types.

    - #### addAll

          public void addAll​(NetricsObjectType type)

      Indicates the collection includes the names of all Patterns objects of the given Patterns type.
      Parameters:
        `type` - The collection is marked as holding all all Patterns objects of this type.

    - #### add

          public void add​(NetricsObjectType type,
                          java.lang.String... names)

      Add specific Patterns object names to the collection.
      Parameters:
        `type` - The names are for objects of this type.
        `names` - The names to add. At least one name must be specified.

    - #### getObjectNames

          public java.util.Set<java.lang.String> getObjectNames​(NetricsObjectType type)

      Retrieve the object names of a particular Patterns object type.
      Parameters:
        `type` - the type of Patterns object.
      Returns:
        an unmodifiable set of object names.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`